cURL
curl --request POST \
--url https://api.cloud.pepperpay.com.br/public/v1/transactions/coupon \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "DESCONTO10",
"offer_hash": "off_123"
}
'import requests
url = "https://api.cloud.pepperpay.com.br/public/v1/transactions/coupon"
payload = {
"code": "DESCONTO10",
"offer_hash": "off_123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: 'DESCONTO10', offer_hash: 'off_123'})
};
fetch('https://api.cloud.pepperpay.com.br/public/v1/transactions/coupon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hash": "124xass",
"code": "off_123",
"discount_type": "monetary",
"discount": 1000
}{
"success": true,
"message": "<string>",
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>"
}{
"success": true,
"message": "<string>"
}{
"success": true,
"message": "<string>"
}Transações
Verificar cupom
Verifica a validade de um cupom de desconto e retorna informações sobre o desconto aplicável.
POST
/
transactions
/
coupon
cURL
Autorizações
Use o token da Pepper API no formato: Bearer {seu_token_aqui}
Corpo
application/json
Dados para verificação do cupom
Resposta
Cupom verificado com sucesso
⌘I